Ferramentas · Vender online
Gerador de QR Code grátis
Link, texto, Wi-Fi, e-mail, telefone ou contato. Baixe em PNG ou SVG, escolha a correção de erro e a cor. O QR é desenhado no seu navegador: o que você digita não é enviado a ninguém.

Seu QR Code
Digite o conteúdo para gerar o QR.
Teste sempre com o celular antes de imprimir ou publicar. O Pix não está aqui de propósito: o código tem dígito verificador e dado financeiro, e merece uma ferramenta própria.
Fontes e método
- Norma: ISO/IEC 18004 (QR Code, modelo 2). Níveis de correção de erro L, M, Q e H recuperam cerca de 7%, 15%, 25% e 30% das palavras de código, conforme a Denso Wave, criadora do QR Code. Conferido em 2026-10-05.
- Como o QR é gerado: o texto vira bytes UTF-8 (modo byte), ganha correção Reed-Solomon, é intercalado em blocos e desenhado nas 8 máscaras possíveis; vale a de menor penalidade pelas regras da norma. A versão (tamanho) é a menor que comporta o conteúdo, de 1 a 40. O código é nosso, sem biblioteca de terceiros, e o teste compara a matriz módulo a módulo com uma implementação independente e lê o resultado com um decodificador de QR.
- Wi-Fi: formato
WIFI:T:…;S:…;P:…;;do ZXing, lido por iPhone e Android. Os caracteres\ ; , : "levam barra invertida. Conferido em 2026-10-05. - E-mail: RFC 6068 (
mailto:). Telefone: RFC 3966 (tel:); sem+, número de 10 ou 11 dígitos é tratado como do Brasil (+55) e a página avisa. Contato: vCard 3.0, RFC 2426. - Avisos de leitura: o contraste usa a fórmula de luminância da WCAG. Os cortes (abaixo de 3:1 o QR provavelmente não lê; abaixo de 4,5:1 pode falhar) são nossos, não da norma, e a margem de 4 módulos é a que a ISO/IEC 18004 pede. QR com módulos mais claros que o fundo (invertido) não é lido por parte dos leitores.
- Privacidade: tudo roda no navegador, sem backend, sem analytics e sem biblioteca externa. A senha do Wi-Fi e os dados do contato não vão para o endereço da página nem para o armazenamento do navegador. Quem tiver o QR impresso tem o que está dentro dele: não use QR de Wi-Fi onde não queira dar acesso.
Ferramentas relacionadas
Calculadora de margem e preço de venda: Mercado Livre
Quanto sobra da venda? Informe suas taxas, calcule o preço para a margem desejada e confira a tarifa cobrada.
Comprimir imagem
Reduza JPG, PNG e WebP por qualidade ou tamanho em KB, vários de uma vez. A foto não sai do seu aparelho.
Converter imagem e foto 3x4
PNG para JPG, JPG para WebP e foto 3x4 de documento com recorte e tamanho exato em px. A foto não sai do seu aparelho.